KBUILDSYCOCA5(8)

NAMN
kbuildsycoca5 - Bygger om systemets inställningscache för KService skrivbordsfiler

ÖVERSIKT

kbuildsycoca5 [VÄLJARE...]

BESKRIVNING

kbuildsycoca5 skapar en binär cache av data lagrad i .desktop- och MIME-typ .xml-filer som KService ramverk använder för att hitta insticksprogram, program och andra tjänster.

KService-biblioteket använder databasen för att tillhandahålla informationen som begärs av det på ett effektivt sätt.

Användare behöver normalt inte köra programmet direkt: KService körs vid behov, så fort någon av filerna vars data är lagrad ändras.

VÄLJARE

--global
    Ignorerar eventuella användarangivna filer (i XDG_DATA_HOME). Det stöds för närvarande bara på UNIX®-system.

--noincremental
    Starta med en tom cache istället för att använda den befintliga cachen och bara uppdatera informationen som har ändrats eller lagts till. Ignoreras om --global anges.

--nosignal
    Normalt skickar kbuildsycoca5 en signal till alla program som använder KService via D-Bus när cachen väl har uppdaterats, så att de alltid arbetar med den senaste informationen. Väljaren förhindrar detta beteende.

--menutest
    Prova generering av databasen för programmenyn. Skapar i själva verket inte cachen.

--testmode
    Använder 'provläge' i QStandardPaths för att undvika att påverka användardata. Det är avsett att användas med enhetsutprovning.

--track meny-id
    Spåra en menyidentifikation i felsökningssyfte.

--author
    Visa information om upphovsman.

--license
    Visa licensinformation.

-h, --help
    Visa en kortfattad hjälptext.

-v , --version
    Visa versionsinformation.

FILER

cache-katalog/ksycoca5_[språk]_[sha1 av kataloger]
    KService-cachen som genereras av kbuildsycoca5. På UNIX®-system, är cache-katalog typiskt XDG_CACHE_HOME

SE OCKSÅ

kded5(8), kdeinit5(8)

FEL

Använd KDE:s felspårningssystem[1] för att rapportera fel.

AUTHORS

Darian Lanx <content@openprojects.net>
    Skrev originaldokumentationen.

Alex Merry <alexmerry@kde.org>
    Uppdaterade dokumentationen för KDE Ramverk 5.

NOTER

1.  KDE:s felspårningssystem
    https://bugs.kde.org